Bug 212199 - ftview could not allocate display surface
Summary: ftview could not allocate display surface
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 216222 217193
TreeView+ depends on / blocked
 
Reported: 2006-10-25 16:37 UTC by Alexei Podtelezhnikov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.2.1-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-02 18:42:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexei Podtelezhnikov 2006-10-25 16:37:43 UTC
Description of problem:
I can't  seem to get ftview to work 

[apodtele@prosha dejavu-lgc]$ ftview 12 DejaVuLGCSans-Bold.ttf
could not allocate display surface
  error = 0x0000


Version-Release number of selected component (if applicable):
freetype-demos-2.2.1-10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Alexei Podtelezhnikov 2006-11-17 15:44:04 UTC
Could this be a solution?
http://lists.nongnu.org/archive/html/freetype/2006-11/msg00025.html

ftview seem to look for X under /usr/X11R6. So old-fashioned!

Comment 2 Matthias Clasen 2006-11-17 21:25:55 UTC
Sounds likely. Thanks for the pointer

Comment 3 Behdad Esfahbod 2006-11-21 21:15:32 UTC
Thanks for the pointer.  Seems like it.  Last time I looked into it, I was
surprised to find that ftview is not linked to xlib at all.  This explains it.

Comment 4 Alexei Podtelezhnikov 2006-11-21 23:43:22 UTC
I look forward to seeing an update. ;) 


Comment 5 Behdad Esfahbod 2006-11-24 23:20:59 UTC
Fixed in freetype-2.2.1-14.fc6 submitted for Update Testing.

Comment 6 Alexei Podtelezhnikov 2006-12-02 18:42:02 UTC
marking as fixed by the official update >2.2.1-14


Note You need to log in before you can comment on or make changes to this bug.